#!/bin/awk -f
#
# generate list of allowed random tunes (without attr RANDOM=0 in .t file).
#

# default random setting is true
/:RANDOM=0/ {
    split($0,a,":")
    i=index($0,"=")
    randommap[a[1]]=1
}

!/:/ {
    canon=$1
    names=$1
    if (names ~ /\.mp3$/) {
	names=substr(names, 1, length(names)-4)
    }
    if (!randommap[names]) {
	print canon
    }
}

